## node-whatwg-fetch 3.6.2

=== Makefile ===
test: lint dist/fetch.umd.js

lint: node_modules/
	./node_modules/.bin/eslint --report-unused-disable-directives *.js test/*.js

dist/fetch.umd.js: fetch.js rollup.config.js node_modules/
	./node_modules/.bin/rollup -c

dist/fetch.umd.js.flow: fetch.js.flow
	cp $< $@

node_modules/:
	npm install

clean:
	rm -rf ./bower_components ./node_modules ./dist

.PHONY: clean lint test make dist/fetch.umd.js dist/fetch.umd.js.flow

=== debian/changelog ===
node-whatwg-fetch (3.6.2-7) unstable; urgency=medium

  * Team upload
  * Duplicate Breaks field with Replaces (Closes: #1034933)

 -- Yadd <yadd@debian.org>  Fri, 28 Apr 2023 07:13:09 +0400

node-whatwg-fetch (3.6.2-6) unstable; urgency=medium

  * Add fix for rollup 3 (Closes: #1022653)
  * d/control: upgrade standards version to 4.6.1

 -- Nicolas Mora <babelouest@debian.org>  Wed, 26 Oct 2022 11:11:40 -0400

node-whatwg-fetch (3.6.2-5) unstable; urgency=medium

  * Team upload
  * Revert rollup hook installed in 3.6.2-4 * Install fetch.js.flow
  * Fix install

 -- Yadd <yadd@debian.org>  Mon, 15 Nov 2021 12:11:56 +0100

node-whatwg-fetch (3.6.2-4) unstable; urgency=medium

  * Team upload
  * Fix UMD format (upstream uses an old rollup)

 -- Yadd <yadd@debian.org>  Mon, 15 Nov 2021 11:53:24 +0100

node-whatwg-fetch (3.6.2-3) unstable; urgency=medium

  * Team upload
  * Add Breaks against libjs-fetch (see #998723)

 -- Yadd <yadd@debian.org>  Sun, 07 Nov 2021 09:00:13 +0100

node-whatwg-fetch (3.6.2-2) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop dependency to nodejs

 -- Yadd <yadd@debian.org>  Sat, 06 Nov 2021 14:41:04 +0100

node-whatwg-fetch (3.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #997890)

 -- Nicolas Mora <babelouest@debian.org>  Tue, 26 Oct 2021 10:22:31 -0400

=== debian/control ===
Source: node-whatwg-fetch
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Nicolas Mora <babelouest@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , rollup
Standards-Version: 4.6.1
Homepage: https://github.com/github/fetch#readme
Vcs-Git: https://salsa.debian.org/js-team/node-whatwg-fetch.git
Vcs-Browser: https://salsa.debian.org/js-team/node-whatwg-fetch
Rules-Requires-Root: no

Package: node-whatwg-fetch
Architecture: all
Depends: ${misc:Depends}
Provides: libjs-whatwg-fetch (= ${binary:Version})
Breaks: libjs-fetch (<< 3.5.0-2~)
Replaces: libjs-fetch (<< 3.5.0-2~)
Multi-Arch: foreign
Description: window.fetch JavaScript polyfill
 The fetch() function is a Promise-based mechanism for programmatically making
 web requests in the browser. This project is a polyfill that implements a
 subset of the standard Fetch specification, enough to make fetch a viable
 replacement for most uses of XMLHttpRequest in traditional web applications.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
# https://github.com/github/fetch
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-whatwg-fetch-$1/ \
 https://github.com/github/fetch/tags .*/v?([\d\.]+).tar.gz
